KDEINIT5(8)

NOME
kdeinit5 - Lançador de aplicativos compilados com suporte para o kdeinit e KIO slaves.

SINTAXE

kdeinit5 [--help] [[--no-fork] | [--no-kded] | [--suicide]] [[+programas] | [programas]]

DESCRIçãO

O kdeinit5 é um lançador de processos, de certa forma semelhante ao famoso init, que é usado na inicialização do UNIX. Ele executa os programas do KDE e os módulos dinâmicos do kdeinit (KLMs), iniciando-os de forma mais eficiente.

A utilização do kdeinit5 para lançar os aplicativos do KDE torna a inicialização de um aplicativo típico do KDE muito mais rápida e reduz substancialmente o consumo de memória.

O kdeinit5 é compilado dinamicamente com todas as bibliotecas que um aplicativo normal do KDE necessita. Graças a essa técnica, a inicialização de um aplicativo torna-se muito mais rápida, porque com ele somente o aplicativo é que necessita ser compilado, enquanto que sem ele seria necessário compilar o aplicativo e as bibliotecas que ele usa.

DESVANTAGENS

O nome do processo dos aplicativos iniciadas pelo kdeinit5 chama-se "kdeinit5". Este problema pode ser corrigido, de certa forma, mudando o nome do aplicativo, tal como aparece no ps. Contudo, os aplicativos como o killall só irão ver o kdeinit5 como nome do processo. Para contornar esta situação, use o comando kdekillall (que existe em 'kdesdk/scripts') para os aplicativos que sejam iniciados com o kdeinit5.

OPçõES

--help
    Mostra a ajuda sobre as opções

--no-fork
    Não faz um 'fork', i.e., não sai até que todos os programas executados terminem

--no-kded
    Não inicia o 'kded'

--suicide
    Termina o aplicativo quando mais nenhum aplicativo do KDE estiver em execução

+programas
    executa os programas, tratando dos pedidos

programas
    executa os programas sem tratar dos pedidos

UTILIZAçãO

Uma forma padrão de executar este programa é simplesmente digitar o seguinte comando no console: kdeinit5 programa ou kdeinit5 +programa

ARQUIVOS

/tmp/kde-$USER/kdeinit5_$INSTANCE
    ...

VARIáVEIS DE AMBIENTE

$HOME
    Indica a pasta pessoal do usuário atual

$KDE_HOME_READONLY
    Indica se a pasta pessoal do usuário é apenas para leitura

$KDE_IS_PRELINKED
    Se estiver definida, indica ao kdeinit5 que os programas do KDE são pré-carregados dinamicamente.

    (Este processo permite-lhe acelerar a funcionalidade de edição de ligações dinâmicas.)

$KDE_DISPLAY
    Se estiver definida, indica ao kdeinit5 que está rodando em um ambiente de trabalho do KDE.

VEJA TAMBéM

kded5, kdekillall

PROBLEMAS

Use o sistema de gerenciamento de erros do KDE[1] para relatar erros.

AUTORES

Waldo Bastian <bastian@kde.org>
    Autor.

Mario Weilguni <mweilguni@sime.com>
    Autor.

Lubos Lunak <l.lunak@kde.org>
    Autor.

NOTAS

1.  sistema de gerenciamento de erros do KDE
    http://bugs.kde.org